/* begin adoption from various GRASS head files */

#define PROJECTION_XY  0
#define PROJECTION_UTM 1
#define PROJECTION_SP  2
#define PROJECTION_LL  3
#define PROJECTION_OTHER  99

struct Cell_head
{
    int format;     	/* max numer of bytes per cell minus 1          */
    int compressed; 	/* 0 = uncompressed, 1 = compressed, -1 pre 3.0 */
    int rows;	    	/* number of rows in the data                   */
    int cols;	    	/* number of columns in the data                */
    int proj;	    	/* Projection (see #defines above)              */
    int zone;	    	/* Projection zone                              */
    double ew_res;  	/* East to West cell size                       */
    double ns_res;  	/* North to South cell size                     */
    double north;   	/* coordinates of layer                         */
    double south;
    double east;
    double west;
};

typedef int RASTER_MAP_TYPE;

/* end adoption from various GRASS head files */

int GISBuffer(char *raster_name,int nrows,int ncols, char *buffer_name, int nd,float *pd);
